linux-ec2: 2.6.32-351.64 -proposed tracker

Bug #1168185 reported by Brad Figg on 2013-04-11
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Certification-testing
Medium
Unassigned
Prepare-package
Medium
Stefan Bader
Prepare-package-meta
Medium
Canonical Kernel Team
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Paul Larson
Security-signoff
Medium
John Johansen
Upload-to-ppa
Medium
Stefan Bader
Verification-testing
Medium
Canonical Kernel Team
linux-ec2 (Ubuntu)
Medium
Unassigned
Lucid
Medium
Unassigned

Bug Description

This bug is for tracking the <version to be filled> upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Thursday, 11. April 2013 23:04 UTC
kernel-stable-master-bug:1167989
kernel-stable-Certification-testing-end:Friday, 12. April 2013 00:04 UTC
kernel-stable-Prepare-package-end:Friday, 12. April 2013 14:05 UTC
kernel-stable-Promote-to-proposed-start:Friday, 12. April 2013 14:05 UTC
kernel-stable-Promote-to-proposed-end:Monday, 15. April 2013 01:04 UTC
kernel-stable-Verification-testing-start:Monday, 15. April 2013 03:05 UTC
kernel-stable-Security-signoff-start:Tuesday, 16. April 2013 21:03 UTC
kernel-stable-Verification-testing-end:Tuesday, 16. April 2013 21:02 UTC
kernel-stable-Regression-testing-start:Tuesday, 16. April 2013 21:02 UTC
kernel-stable-Security-signoff-end:Thursday, 18. April 2013 02:06 UTC
kernel-stable-Promote-to-updates-start:Tuesday, 23. April 2013 18:03 UTC
kernel-stable-Regression-testing-end:Tuesday, 23. April 2013 18:03 UTC
kernel-stable-Promote-to-updates-end:Wednesday, 24. April 2013 07:45 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Wednesday, 24. April 2013 09:03 UTC

This tracking bug was opened to be worked from linux-2.6.32-46.108 update (bug 1167989)

tags: added: kernel-release-tracking-bug
tags: added: lucid
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux-ec2 (Ubuntu):
importance: Undecided → Medium
Changed in linux-ec2 (Ubuntu Lucid):
importance: Undecided → Medium
Brad Figg (brad-figg) on 2013-04-12
description: updated

commit bd4e4cb3c686bc4120a5cd3ddee1febf5904e36e
Author: Jan Beulich <email address hidden>
Date: Tue Apr 9 13:47:10 2013 +0100

    x86/xen: don't assume %ds is usable in xen_iret for 32-bit PVOPS.

The above change was not ported into the ec2 kernel because the SUSE patch changes Xen into classic Xen which is not affected by this issue.

summary: - linux-ec2: <version to be filled> -proposed tracker
+ linux-ec2: 2.6.32-351.64 -proposed tracker

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed.

Brad Figg (brad-figg) on 2013-04-15
description: updated
Brad Figg (brad-figg) on 2013-04-15
description: updated
Brad Figg (brad-figg) on 2013-04-16
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2013-04-18
description: updated
Paul Larson (pwlars) on 2013-04-23
Changed in linux-ec2 (Ubuntu):
assignee: nobody → Paul Larson (pwlars)
status: New → In Progress
Paul Larson (pwlars) on 2013-04-23
Changed in linux-ec2 (Ubuntu):
assignee: Paul Larson (pwlars) → nobody
status: In Progress → New
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2013-04-23
description: updated

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-ec2 - 2.6.32-351.64

---------------
linux-ec2 (2.6.32-351.64) lucid-proposed; urgency=low

  [ Stefan Bader ]

  * Rebased to Ubuntu-2.6.32-46.108
  * Release Tracking Bug
    - LP: #1168185

  [ Ubuntu: 2.6.32-46.108 ]

  * SAUCE: (no-up) apparmor: Fix quieting of audit messages for network
    mediation
    - LP: #1163259
  * llc: fix info leak via getsockname()
    - LP: #1156743
    - CVE-2012-6542
  * Bluetooth: L2CAP - Fix info leak via getsockname()
    - LP: #1156751
    - CVE-2012-6544
  * Bluetooth: HCI - Fix info leak in getsockopt(HCI_FILTER)
    - LP: #1156751
    - CVE-2012-6544
  * Bluetooth: RFCOMM - Fix info leak via getsockname()
    - LP: #1156757
    - CVE-2012-6545
  * Bluetooth: RFCOMM - Fix info leak in ioctl(RFCOMMGETDEVLIST)
    - LP: #1156757
    - CVE-2012-6545
  * atm: fix info leak via getsockname()
    - LP: #1156759
    - CVE-2012-6546
  * atm: fix info leak in getsockopt(SO_ATMPVC)
    - LP: #1156759
    - CVE-2012-6546
  * udf: avoid info leak on export
    - LP: #1156768
    - CVE-2012-6548
  * KVM: x86: fix for buffer overflow in handling of MSR_KVM_SYSTEM_TIME
    (CVE-2013-1796)
    - LP: #1158254
    - CVE-2013-1796
  * Bluetooth: Fix incorrect strncpy() in hidp_setup_hid()
    - LP: #1134503
    - CVE-2013-0349
  * USB: io_ti: Fix NULL dereference in chase_port()
    - LP: #1143817
    - CVE-2013-1774
  * x86/xen: don't assume %ds is usable in xen_iret for 32-bit PVOPS.
    - LP: #1143796
    - CVE-2013-0228
 -- Stefan Bader <email address hidden> Fri, 12 Apr 2013 10:12:13 +0200

Changed in linux-ec2 (Ubuntu Lucid):
status: New → Fix Released
Brad Figg (brad-figg) on 2013-04-24
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
Brad Figg (brad-figg) on 2014-10-10
Changed in linux-ec2 (Ubuntu):
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers